.toggle {
  display: inline-block;
  height: 50px;
  position: relative;
  width: 100px;
  cursor: pointer;
}
.toggle input[type="checkbox"] {
  display: none;
}
.toggle .slider {
  background-color: blue;
  height: 100%;
  transition: .4s;
  position: absolute;
  border-radius: 50px;
  top: 0;
  left: 0;
  right: 0;
}
.toggle-btn {
  position: absolute;
  top: 50%;
  left: 10px;
  transform: translate(0, -50%);
  width: 20px;
  height: 20px;
  background-color: aqua;
  border-radius: 50%;
}
.toggle input[type="checkbox"]:checked + .slider .toggle-btn{
  animation: toggleAction 1s;
  background-color: blue;
  left: 70px;
}
.toggle input[type="checkbox"]:checked + .slider::before{
  content: "";
  position: absolute;
  border-radius: 50px;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  animation: toggleActionBackground .5s;
  background-color: aqua;
}


.toggle input[type="checkbox"] + .slider .toggle-btn{
  animation: toggleActionRe 1s;
  background-color: aqua;
  left: 10px;
}
.toggle input[type="checkbox"] + .slider::before{
  content: "";
  position: absolute;
  border-radius: 50px -50px -50px 50px;
  width: 0px;
  height: 100%;
  top: 0;
  left: 0;
  animation: toggleActionBackgroundRe .5s;
  background-color: aqua;
}


@keyframes toggleActionBackground {
  0% {
    width: 50%;
    border-radius: 50px;
  }
  80% {
    width: 100%;
    border-radius: 50px;
  }
}
@keyframes toggleAction {
  0% {
    left: 10px;
    opacity: 0;
  }

  80% {
    left: 70px;
    opacity: 0;
    width: 10px;
    height: 10px;
  }

  100% {
    left: 70px;
    opacity: 1;
    width: 20px;
    height: 20px;
  }
}



@keyframes toggleActionBackgroundRe {
  0% {
    width: 100%;
    border-radius: 50px;
  }
  80% {
    width: 50%;
    border-radius: 50px;
  }
}
@keyframes toggleActionRe {
  0% {
    left: 70px;
    opacity: 1;
    width: 20px;
    height: 20px;
  }

  80% {
    left: 70px;
    opacity: 0;
    width: 10px;
    height: 10px;
  }

  100% {
    left: 10px;
    opacity: 0;
  }
}